Page MenuHomePhabricator

Traffic Server - Prometheus integration
Closed, ResolvedPublic

Description

trafficserver_exporter uses the stats_over_http ATS plugin to translate JSON data into Prometheus format.

We should:

  • enable stats_over_http
  • package and deploy trafficserver_exporter
  • add the aggregation rules that make sense

Event Timeline

ema created this task.Aug 21 2018, 11:55 AM
Restricted Application added a project: Operations. · View Herald TranscriptAug 21 2018, 11:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Medium priority.Aug 21 2018, 11:55 AM
ema updated the task description. (Show Details)
ema moved this task from Triage to Caching on the Traffic board.Aug 21 2018, 11:58 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-22T16:21:09Z] <ema> prometheus-trafficserver-exporter 0.0.2-1 uploaded to stretch-wikimedia T202381

Change 454766 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: add trafficserver_exporter

https://gerrit.wikimedia.org/r/454766

Change 454766 merged by Ema:
[operations/puppet@production] prometheus: add trafficserver_exporter

https://gerrit.wikimedia.org/r/454766

ema updated the task description. (Show Details)Aug 23 2018, 9:28 AM

Change 454784 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: Job definition for trafficserver_exporter

https://gerrit.wikimedia.org/r/454784

Change 454784 merged by Ema:
[operations/puppet@production] prometheus: Job definition for trafficserver_exporter

https://gerrit.wikimedia.org/r/454784

Change 465172 had a related patch set uploaded (by Ema; owner: Ema):
[operations/puppet@production] prometheus: ATS aggregation rules

https://gerrit.wikimedia.org/r/465172

Change 465172 merged by Ema:
[operations/puppet@production] prometheus: ATS aggregation rules

https://gerrit.wikimedia.org/r/465172

ema closed this task as Resolved.Oct 8 2018, 3:18 PM
ema updated the task description. (Show Details)